Upstream information

CVE-2018-19869 at MITRE

Description

An issue was discovered in Qt before 5.11.3. A malformed SVG image causes a segmentation fault in qsvghandler.cpp.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 4
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
SUSE Bugzilla entry: 1118599 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15
  • libQt5Svg5 >= 5.9.4-3.3.19
  • libqt5-qtsvg >= 5.9.4-3.3.19
  • libqt5-qtsvg-devel >= 5.9.4-3.3.19
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-706
SUSE Linux Enterprise Module for Desktop Applications 15
  • libqt5-qtsvg >= 5.9.4-3.3.19
  • libqt5-qtsvg-private-headers-devel >= 5.9.4-3.3.19
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-706
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libqt5-qtsvg >= 5.9.4-3.3.19
  • libqt5-qtsvg-examples >= 5.9.4-3.3.19
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-706
openSUSE Leap 15.0
  • libQt5Svg5 >= 5.9.4-lp150.2.3.2
  • libQt5Svg5-32bit >= 5.9.4-lp150.2.3.2
  • libQt5Svg5-32bit-debuginfo >= 5.9.4-lp150.2.3.2
  • libQt5Svg5-debuginfo >= 5.9.4-lp150.2.3.2
  • libqt5-qtsvg >= 5.9.4-lp150.2.3.2
  • libqt5-qtsvg-debugsource >= 5.9.4-lp150.2.3.2
  • libqt5-qtsvg-devel >= 5.9.4-lp150.2.3.2
  • libqt5-qtsvg-devel-32bit >= 5.9.4-lp150.2.3.2
  • libqt5-qtsvg-examples >= 5.9.4-lp150.2.3.2
  • libqt5-qtsvg-examples-debuginfo >= 5.9.4-lp150.2.3.2
  • libqt5-qtsvg-private-headers-devel >= 5.9.4-lp150.2.3.2
Patchnames:
openSUSE-2019-1116


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise BSK 12 SP3 libqt5-qtsvg In progress
SUSE Linux Enterprise BSK 12 SP4 libqt5-qtsvg In progress
SUSE Linux Enterprise Desktop 12 SP3 libqt4 Affected
SUSE Linux Enterprise Desktop 12 SP3 libqt5-qtsvg In progress
SUSE Linux Enterprise Desktop 12 SP4 libqt4 Affected
SUSE Linux Enterprise Desktop 12 SP4 libqt5-qtsvg In progress
SUSE Linux Enterprise High Performance Computing 12 libqt4 Affected
SUSE Linux Enterprise High Performance Computing 12 libqt5-qtsvg In progress
SUSE Linux Enterprise Module for Basesystem 15 GA libqt5-qtsvg Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA libqt5-qtsvg Released
SUSE Linux Enterprise SDK 11 SP4 libqt4 Affected
SUSE Linux Enterprise SDK 12 SP3 libqt4 Affected
SUSE Linux Enterprise SDK 12 SP3 libqt5-qtsvg In progress
SUSE Linux Enterprise SDK 12 SP4 libqt4 Affected
SUSE Linux Enterprise SDK 12 SP4 libqt5-qtsvg In progress
SUSE Linux Enterprise Server 11 SP3 LTSS libqt4 Affected
SUSE Linux Enterprise Server 11 SP4 libqt4 Affected
SUSE Linux Enterprise Server 12 GA LTSS libqt4 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libqt4 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libqt4 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libqt5-qtsvg In progress
SUSE Linux Enterprise Server 12 SP3 libqt4 Affected
SUSE Linux Enterprise Server 12 SP3 libqt5-qtsvg In progress
SUSE Linux Enterprise Server 12 SP4 libqt4 Affected
SUSE Linux Enterprise Server 12 SP4 libqt5-qtsvg In progress
SUSE Linux Enterprise Server for SAP Applications 11 SP3 libqt4 Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA libqt4 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libqt4 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libqt5-qtsvg In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libqt4 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libqt5-qtsvg In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libqt4 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libqt5-qtsvg In progress
SUSE Linux Enterprise Workstation Extension 12 SP3 libqt4 Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 libqt4 Affected